Name: procps
%define major_version 3
%define minor_version 2
%define revision 4
Version: %major_version.%minor_version.%revision
Release: alt2

Summary: Utilities for monitoring your system and processes on your system
License: GPL
Group: Monitoring
Packager: Stanislav Ievlev <inger@altlinux.org>

URL:  http://procps.sourceforge.net/
Source: %name-%version.tar.bz2
Patch1: procps-3.2.3-mdk-sysctlshutup.patch
Patch2: procps-3.1.15-rh-misc.patch
Patch3: procps-3.2.3-rh-pseudo.patch
Patch4: procps-3.2.3-rh-noproc.patch
Patch5: procps-3.2.4-alt-soname.patch
Patch6: procps-3.2.2-suse-w-notruncate.patch

#Provides: libproc.so.%major_version.%minor_version
Requires: coreutils >= 5.2.1-alt2
Provides: %name-X11 = %version
Obsoletes: %name-X11

# Automatically added by buildreq on Thu Oct 23 2003
BuildRequires: libncurses-devel libtinfo-devel

%package devel
Group: Development/C
Summary: Utilities for monitoring your system and processes on your system
Requires: %name = %version

%package X11
Group: Monitoring
Summary: An X based system message monitoring utility
Requires: %name = %version

%description
The procps package contains a set of system utilities which provide system
information.

Procps includes ps, free, skill, snice, tload, top, uptime, vmstat, w and watch.
+ The ps command displays a snapshot of running processes.
+ The top command provides a repetitive update of the statuses of running processes.
+ The free command displays the amounts of free and used memory on your system.
+ The skill command sends a terminate command (or another specified signal)
  to a specified set of processes.
+ The snice command is used to change the scheduling priority of specified processes.
+ The tload command prints a graph of the current system load average to a
  specified tty.
+ The uptime command displays the current time, how long the system has been running,
  how many users are logged on and system load averages for the past one,
  five and fifteen minutes.
+ The w command displays a list of the users who are currently logged on and
  what they're running.
+ The watch program watches a running program.
+ The vmstat command displays virtual memory statistics about processes,
  memory, paging, block I/O, traps and CPU activity.

%description devel
Developement headers and library for the proc library.

%description X11
The procps-X11 package contains X Window System utilities for monitoring your
system. The utilities contained in this package generally provide graphical
representations of the information provided by the tools in the procps package.

You can install the procps-X11 package if you'd like to use a graphical system
monitoring utility.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

for f in `find -type f -name \*.1`; do
	if head -1 "$f" |grep -qs '^,\\" '; then
		%__subst 's/^,\\" /.\\" /' "$f"
	fi
done

%build
#NO SMP
%make OPT="$RPM_OPT_FLAGS"

%install
make ldconfig=true DESTDIR=%buildroot lib64=%_lib install="install -D" SKIP="/bin/kill /usr/share/man/man1/kill.1" install

ln -sf skill $RPM_BUILD_ROOT%_bindir/snice
ln -sf pgrep $RPM_BUILD_ROOT%_bindir/pkill

ln -s libproc.so.%version $RPM_BUILD_ROOT/%_lib/libproc.so.%major_version.%minor_version
ln -s libproc.so.%version $RPM_BUILD_ROOT/%_lib/libproc.so.%major_version
%__install -d -m755 $RPM_BUILD_ROOT%_libdir
ln -s /lib/libproc.so.%version $RPM_BUILD_ROOT%_libdir/libproc.so

%__install -d -m755 $RPM_BUILD_ROOT%_includedir/%name/
%__install -p -m644 proc/*.h $RPM_BUILD_ROOT%_includedir/%name/

#chmod -R u+w,a+rX,go-w $RPM_BUILD_ROOT/

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
/%_lib/*.so.*
/bin/*
/sbin/*
%_bindir/*
%_mandir/man?/*
%doc NEWS BUGS TODO

%files devel
%_libdir/*.so
%_includedir/*

%changelog
* Thu Jul 21 2005 Stanislav Ievlev <inger@altlinux.org> 3.2.4-alt2
- added patch from SuSE for "-n" option

* Thu Dec 23 2004 Stanislav Ievlev <inger@altlinux.org> 3.2.4-alt1
- 3.2.4

* Mon Aug 23 2004 Dmitry V. Levin <ldv@altlinux.org> 2.0.10-alt5
- Fix potential division by zero bug, reported by Alexey M. Tourbin.

* Wed Aug 11 2004 Stanislav Ievlev <inger@altlinux.org> 2.0.10-alt4.1
- setlocale in watch to see output with national symbols (e.g. russian)

* Wed Mar 31 2004 Dmitry V. Levin <ldv@altlinux.org> 2.0.10-alt4
- Do not package kill and its manpage, since
  coreutils >= 5.2.1-alt2 provides them.

* Mon Nov 03 2003 Stanislav Ievlev <inger@altlinux.org> 2.0.10-alt3.2
- fix bug reported by Yury A. Zotov (#3226)

* Thu Oct 23 2003 Stanislav Ievlev <inger@altlinux.org> 2.0.10-alt3
- fix building in hasher

* Mon Nov 18 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.10-alt2
- ressurected shutup patch

* Thu Nov 14 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.10-alt1
- 2.0.10

* Thu Jan 10 2002 Stanislav Ievlev <inger@altlinux.ru> 2.0.7-ipl6mdk
- fix locale patch

* Tue May 08 2001 Stanislav Ievlev <inger@altlinux.ru> 2.0.7-ipl5mdk
- Add RH, MDK and Openwall patches

* Sat Dec 02 2000 Dmitry V. Levin <ldv@fandra.org> 2.0.7-ipl4mdk
- PreReq: fileutils.

* Fri Sep 08 2000 Dmitry V. Levin <ldv@fandra.org> 2.0.7-ipl3mdk
- Fixed top: set LC_NUMERIC to C to make it work.

* Thu Jul 27 2000 Dmitry V. Levin <ldv@fandra.org> 2.0.7-ipl2mdk
- RE and Fandra adaptions.

* Fri Jul 21 2000 David BAUDENS <baudens@mandrakesoft.com> 2.0.7-2mdk
- Human readble description
- Use %%_tmppath for BuildRoot

* Fri Jul 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.0.7-1mdk
- updated.
- removed not needed anymore patch :
	- procps-proto-fix.patch.bz2
	- procps-2.0.6-sysmap.patch.bz2
	- procps-2.0.6-include.patch.bz2
	- procps-2.0.6-Makefile.patch.bz2
- added patch procps-2.0.7-makefile.patch
- install new manpages / binary.
- create man5 directory.
- pass mandir as a make argument.

* Wed May 17 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0.6-13mdk
- added devel package.

* Wed May 17 2000 Frederic Lepied <flepied@mandrakesoft.com> %major_version.%minor_version.%revision-13mdk
- added

* Thu Apr 13 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> %version-12mdk
- fix postin / postun.
- .so in devel package

* Tue Mar 28 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.0.6-11mdk
- Added a patch to fix an include compile time problem with new glibc.
- Fix group.
- Url wasn't pointing to the main procps site.

* Mon Mar 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.6-9mdk
- Fix sysctly_shut_your_mouth patch.

* Sun Mar 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.6-8mdk
- By default shut up the mouth of sysctl (and add the -v option to verbose it).

* Sat Mar 11 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.6-7mdk
- Add /sbin/sysctl in %files.

* Tue Jan 18 2000 Francis Galiegue <francis@mandrakesoft.com>
- Fixed a wrong function prototype which made sparc's ps try to divide by zero

* Mon Jan 3 2000 Florent Villard <warly@mandrakesoft.com> 2.0.6-5mdk
- fix libproc.so problem

* Fri Dec 31 1999 Florent Villard <warly@mandrakesoft.com> 2.0.6-4mdk
- add link /lib/libproc.so to /lib/libproc.so.2.0.6

* Thu Dec 30 1999 Florent Villard <warly@mandrakesoft.com> 2.0.6-3mdk
- correct path permissions

* Sun Nov 21 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Provides: libproc.so.2.0

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0.6.

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0.5.
- include more manpages.

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bogus permissions on doc (it was only availlable to root)

* Tue Jul  6 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild w/ prereq dev

* Tue Apr 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- FIx small bug with the /usr/X11R6/bin/

* Sun Apr 11 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- bzip2 man pages
- update to 2.0.2
- add de locale
- Mandrake adaptions
